Bug 26898 - Exceptions raised in pretty-printers are not propagated
Summary: Exceptions raised in pretty-printers are not propagated
Status: RESOLVED FIXED
Alias: None
Product: poke
Classification: Unclassified
Component: default (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-14 14:12 UTC by Jose E. Marchesi
Modified: 2022-07-11 18:40 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jose E. Marchesi 2020-11-14 14:12:26 UTC
When a pretty-printer raises an exception, the same exception shall be propagated by the code in pvm_call_pretty_printer.
Comment 1 Jose E. Marchesi 2020-11-21 09:40:13 UTC
This is now fixed in master.
Salud!